@charset "UTF-8";
/* 走进郑卫宁 */
.main-index {
  margin-top: 0;
  /* 简介 */
}

.main-index .section-1 {
  padding: 0;
  /* 发起人简介 */
  /* 领导关怀 */
  /* .intro-leadership{
      padding:1rem 0;
      .profile-title {
        text-align: center;
        margin-top: 20px;
        margin-bottom: 20px;
        position: relative;
        font-weight: 700;
        font-size: 32px;
        line-height: 150%;
        letter-spacing: 0%;
        
      }
      .profile-title::after {
        content: '';
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        bottom: -16px;
        width: 50px;
        height: 2px;
        background-color:  $primary-color;
      }
      .more {
        background-color: #F9E7ED;
        border-radius: 20px;
        font-size: 14px;
        color: $primary-color;
        &:hover {
          background: $primary-color;
          color: #fff;
        }
      }
      .image-box {
        border-radius: 3px;
        overflow: hidden;
        img {
          width: 100%;
          height: auto;
          transition: transform 0.3s ease;  // 添加过渡效果
        }
        &:hover img {
          transform: scale(1.05);  // 鼠标悬停时图片放大
        }
        .image-title {
          bottom: 0;
          left: 0;
          right: 0;
          background-color:  $primary-color;
          color: rgba(255, 255, 255, 1);
          text-align: center;
          padding: 3px 0;
          font-size: 16px;
          border-radius: 0 0 3px 3px;
        }
      }
    } */
  /* 个人荣誉 */
  /* 新闻报道 */
  /* 微博语录 */
}

.main-index .section-1 .intro-introduction {
  background-color: #fff;
  padding: 2.5rem 0 4rem 0;
}

.main-index .section-1 .intro-introduction .more {
  background-color: #e5f5ed;
  border-radius: 20px;
  font-size: 14px;
  color: #009b4c;
}

.main-index .section-1 .intro-introduction .more:hover {
  background: #009b4c;
  color: #fff;
}

.main-index .section-1 .intro-introduction .profile-container {
  border-radius: 8px;
}

.main-index .section-1 .intro-introduction .profile-container .image-container {
  border-radius: 30px;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.main-index .section-1 .intro-introduction .profile-container .image-container img {
  width: 100%;
  height: auto;
  border-radius: 30px;
  transition: transform 0.3s ease;
}

.main-index .section-1 .intro-introduction .profile-container .image-container:hover img {
  transform: scale(1.05);
}

.main-index .section-1 .intro-introduction .profile-container .profile-text {
  font-size: 20px;
  color: #000;
  line-height: 200%;
  padding-left: 40px;
}

.main-index .section-1 .intro-introduction .profile-container .profile-text p {
  text-indent: 2em;
  margin-bottom: 20px;
}

.main-index .section-1 .intro-introduction .profile-container .profile-text img {
  display: none;
}

.main-index .section-1 .intro-honor {
  background-color: #F8F8F8;
  background-repeat: repeat-x;
  padding: 1rem 0;
}

.main-index .section-1 .intro-honor .profile-title {
  text-align: center;
  margin-top: 20px;
  margin-bottom: 20px;
  position: relative;
  font-weight: 700;
  font-size: 32px;
  line-height: 150%;
  letter-spacing: 0%;
}

.main-index .section-1 .intro-honor .profile-title::after {
  content: '';
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: -16px;
  width: 50px;
  height: 2px;
  color: white;
  background-color: #009b4c;
}

.main-index .section-1 .intro-honor .more {
  background-color: #e5f5ed;
  border-radius: 20px;
  color: #009b4c;
  font-size: 14px;
}

.main-index .section-1 .intro-honor .more:hover {
  background: #009b4c;
  color: #fff;
}

.main-index .section-1 .intro-news {
  padding: 4rem 0 1rem 0;
}

.main-index .section-1 .intro-news .more {
  background-color: #e5f5ed;
  border-radius: 20px;
  font-size: 14px;
  color: #009b4c;
}

.main-index .section-1 .intro-news .more:hover {
  background: #009b4c;
  color: #fff;
}

.main-index .section-1 .intro-news .tab-button {
  border-radius: 15px 0 15px 0;
  /* 左上角和右下角弧度 */
  color: #333333;
  background: #f2f2f2;
  padding: 10px 20px;
  margin-right: 10px;
  font-size: 1.25rem;
  cursor: pointer;
  color: #000;
}

.main-index .section-1 .intro-news .tab-button.active, .main-index .section-1 .intro-news .tab-button:hover {
  color: #009b4c;
  background: #e5f5ed;
  /* 浅红色背景 */
  font-weight: bold;
}

.main-index .section-1 .intro-news .image-container {
  width: 100%;
  position: relative;
  padding-top: 66.7%;
  overflow: hidden;
}

.main-index .section-1 .intro-news .image-container img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.3s ease;
}

.main-index .section-1 .intro-news .image-container:hover img {
  transform: scale(1.05);
}

@media (max-width: 768px) {
  .main-index .section-1 .intro-news .image-container {
    padding-top: 66.7%;
  }
}

.main-index .section-1 .intro-news .image-title {
  margin: 10px 0 20px 0;
  font-size: 1.25rem;
  color: #333;
  line-height: 150%;
  text-align: center;
  text-decoration: none;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  /* 限制行数为2 */
  overflow: hidden;
}

.main-index .section-1 .intro-news .image-title:hover {
  color: #009b4c;
}

.main-index .section-1 .intro-weibo {
  background-size: cover;
  padding: 2.5rem 0 4rem 0;
}

.main-index .section-1 .intro-weibo .profile-title {
  text-align: center;
  margin-top: 20px;
  margin-bottom: 20px;
  position: relative;
  font-weight: 700;
  font-size: 32px;
  line-height: 150%;
  letter-spacing: 0%;
}

.main-index .section-1 .intro-weibo .profile-title::after {
  content: '';
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: -16px;
  width: 50px;
  height: 2px;
  background-color: #009b4c;
}

.main-index .section-1 .intro-weibo .more {
  background-color: #e5f5ed;
  border-radius: 20px;
  font-size: 14px;
  color: #009b4c;
}

.main-index .section-1 .intro-weibo .more:hover {
  background: #009b4c;
  color: #fff;
}

.main-index .section-1 .intro-weibo .instructions-list {
  overflow: hidden;
  /* Hide overflowing content */
  position: relative;
  /* Ensure proper positioning for child elements */
}

.main-index .section-1 .intro-weibo .instructions-list ul {
  display: flex;
  animation: scroll-left 60s linear infinite;
  /* Apply scrolling animation */
  padding: 0;
  margin: 0;
  list-style: none;
}

.main-index .section-1 .intro-weibo .instructions-list ul li {
  flex: 1;
  margin-right: 20px;
  /* Add spacing between cards */
}

@keyframes scroll-left {
  0% {
    transform: translateX(0);
  }
  50% {
    transform: translateX(-50%);
  }
  100% {
    transform: translateX(-100%);
  }
}

.main-index .section-1 .intro-weibo .card {
  border: none;
  border-radius: 8px 8px 0 0;
  position: relative;
  /* 使头像可以绝对定位 */
  width: 333px;
}

.main-index .section-1 .intro-weibo .card .card-img-top {
  width: 100%;
  height: 124px;
}

.main-index .section-1 .intro-weibo .card .avatar {
  width: 54px;
  /* 头像宽度 */
  height: 54px;
  /* 头像高度 */
  top: 86px;
  /* 根据需要调整头像的垂直位置 */
  right: 20px;
  /* 根据需要调整头像的水平位置 */
  border-radius: 50%;
  /* 圆形头像 */
}

.main-index .section-1 .intro-weibo .card .intro-weibo-icon {
  bottom: 30px;
  right: 20px;
  width: 17px;
  height: 12px;
}

.main-index .section-1 .intro-weibo .card .card-body {
  width: 100%;
  padding: 30px 24px 50px 24px;
}

.main-index .section-1 .intro-weibo .card .card-body .card-text {
  width: 100%;
  min-height: 207px;
  word-wrap: break-word;
  word-break: break-all;
  line-height: 200%;
  font-size: 16px;
  white-space: normal;
  color: #000;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 9;
  /* 限制行数为9 */
  overflow: hidden;
}

/* 郑卫宁与他的残友事业  title */
.profile-title {
  text-align: center;
  margin-top: 20px;
  margin-bottom: 40px;
  position: relative;
  font-weight: 700;
  font-size: 2rem;
  line-height: 150%;
  letter-spacing: 0%;
}

.profile-title::after {
  content: '';
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: -16px;
  width: 50px;
  height: 2px;
  background-color: #009b4c;
}

/* 走进郑卫宁列表 */
.main-list {
  margin-top: 0;
  padding-top: 30px;
}

.main-list .intro-leader .card img,
.main-list .intro-honor .card img,
.main-list .intro-moment .card img {
  width: 100%;
  height: 200px;
  border-radius: 8px;
  transition: transform 0.3s ease;
}

.main-list .intro-leader .card:hover img,
.main-list .intro-honor .card:hover img,
.main-list .intro-moment .card:hover img {
  transform: scale(1.05);
}

.main-list .intro-leader .card .card-body,
.main-list .intro-honor .card .card-body,
.main-list .intro-moment .card .card-body {
  background-color: #F8F8F8;
}

.main-list .intro-leader .card .card-body a,
.main-list .intro-honor .card .card-body a,
.main-list .intro-moment .card .card-body a {
  font-size: 16px;
  line-height: 1.6;
  margin-top: 15px;
  text-decoration: none;
  color: #333;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
  /* 限制行数为1 */
  overflow: hidden;
}

.petal-container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 20px;
  padding: 20px;
}

.petal-container .petal-item {
  padding: 16px;
  background: #F9E7ED;
  border-radius: 20px;
  overflow: hidden;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.petal-container .petal-item:hover {
  transform: translateY(-5px);
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

.petal-container .petal-item .card {
  border: none;
  background: none !important;
}

.petal-container .petal-item .card .card-body {
  padding: 0;
}

.petal-container .petal-item .card .card-body .avatar {
  width: 54px;
  height: 54px;
  border-radius: 50%;
  margin-right: 12px;
}

.petal-container .petal-item .card .card-body .card-text {
  font-size: 1rem;
  line-height: 1.6;
  color: #000;
  margin: 0;
}

.petal-container .petal-item .card .card-body .quote-icon img {
  width: 17px;
  height: 12px;
  float: right;
  margin: 10px 6px 10px 0;
}

.petal-container .petal-item:nth-child(2n) {
  background: #FFE8CC;
}

.petal-container .petal-item:nth-child(3n) {
  background: #FFF7CC;
}

.petal-container .petal-item:nth-child(4n) {
  background: #CCFFEE;
}

.petal-container .petal-item:nth-child(5n) {
  background: #CCE5FF;
}

.petal-container .petal-item:nth-child(6n) {
  background: #CCCCFF;
}

.petal-container .petal-item:nth-child(7n) {
  background: #EECCFF;
}

.petal-container .petal-item:nth-child(8n) {
  background: #CCE5FF;
}

/* 个人荣誉列表 */
.image-box {
  overflow: hidden;
  margin: 5px auto;
}

.image-box .image-title {
  height: 40px;
  /* 确保容器有固定高度 */
  line-height: 40px;
  background-color: #009b4c;
  color: white;
  text-align: center;
  font-weight: 400;
  font-size: 14px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
  /* 限制行数为1 */
  overflow: hidden;
  padding: 0 5px;
  width: 100%;
}

.image-box .image-title a {
  color: #fff;
  text-decoration: none;
}

.image-box:hover {
  box-shadow: 5px 5px 3px #d5e0db;
  /* x偏移, y偏移, 模糊半径, 颜色 */
}

/* 新闻报道列表 */
.intro-news .news-list {
  overflow: hidden;
  background: #fff;
  height: 100%;
}

.intro-news .news-list .card-body {
  padding: 10px 20px 12px 20px;
}

.intro-news .news-list .card-body .card-title {
  font-size: 1.25rem;
  font-weight: 700;
  line-height: 150%;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  /* 限制行数为2 */
  overflow: hidden;
}

.intro-news .news-list .card-body .card-title a {
  color: #000;
  text-decoration: none;
}

.intro-news .news-list .card-body .card-title a:hover {
  color: #009b4c;
}

.intro-news .news-list .card-title-height {
  height: auto;
}

@media (max-width: 768px) {
  .intro-news .news-list .card-title-height {
    height: auto;
  }
}

.intro-news .news-list .card-footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0px 20px 20px 20px;
  color: #666;
  font-size: 14px;
}

.intro-news .news-list .card-footer .btn-link {
  background-color: #e5f5ed;
  border-radius: 20px;
  font-size: 14px;
  color: #009b4c;
  text-decoration: none;
}

.intro-news .news-list .card-footer .btn-link:hover {
  color: #fff;
  background: #009b4c;
  cursor: pointer;
}

.intro-news .news-list .card-footer .time-img {
  width: 22px;
  /* 设置宽度 */
  height: 22px;
  /* 设置高度 */
  background-image: url("/templates/zwncfweb/AppTheme/images/news/time-icon.png");
  /* 背景图片路径 */
  background-repeat: no-repeat;
  /* 防止背景重复 */
  display: inline-block;
  /* 确保作为内联块显示 */
  background-position: center;
  /* 背景图标居中显示 */
  margin-right: 6px;
}

.more {
  background-color: #e5f5ed;
  border-radius: 20px;
  font-size: 14px;
  color: #009b4c;
}

.more:hover {
  background: #009b4c;
  color: #fff;
}

/* 视频材料列表 */
.intro-video .image-title {
  margin: 10px 0 20px 0;
  font-size: 14px;
  line-height: 150%;
  text-align: center;
  text-decoration: none;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  /* 限制行数为2 */
  overflow: hidden;
}

.intro-video .image-title a {
  color: #333;
  text-decoration: none;
}

.intro-video .image-title a:hover {
  color: #009b4c;
}

.intro-video .image-container {
  width: 100%;
  position: relative;
  padding-top: 56.25%;
  overflow: hidden;
}

.intro-video .image-container img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.3s ease;
}

.intro-video .image-container:hover img {
  transform: scale(1.05);
}

@media (max-width: 768px) {
  .intro-video .image-container {
    padding-top: 56.25%;
  }
}

/* 精彩瞬间列表 */
.intro-moment .intro-moment-box {
  height: 100%;
  background-color: #fff;
}

.intro-moment .intro-moment-box .image-title {
  padding: 15px 20px;
  font-size: 1.25rem;
  font-weight: 700;
  line-height: 150%;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  /* 限制行数为3 */
  overflow: hidden;
}

.intro-moment .intro-moment-box .image-title a {
  color: #000;
  text-decoration: none;
}

.intro-moment .intro-moment-box .image-title a:hover {
  color: #009b4c;
}

.image-box .image-container, .intro-news .image-container, .intro-moment .image-container {
  width: 100%;
  position: relative;
  padding-top: 66.7%;
  overflow: hidden;
}

.image-box .image-container img, .intro-news .image-container img, .intro-moment .image-container img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.3s ease;
}

.image-box .image-container:hover img, .intro-news .image-container:hover img, .intro-moment .image-container:hover img {
  transform: scale(1.05);
}

@media (max-width: 768px) {
  .image-box .image-container, .intro-news .image-container, .intro-moment .image-container {
    padding-top: 66.7%;
  }
}
